%define name    daq
%define version 2.0.6
%define release %mkrel 1

%define major 2
%define libname %mklibname %{name} %{major}
%define develname %mklibname %{name} -d


Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:    Data Acquisition library, for packet I/O
License:    GPLv2+
Group:      Networking/Other
URL:        http://www.snort.org/
Source:     http://www.snort.org/downloads/%{name}-%{version}.tar.xz
BuildRequires:	pcap-devel
BuildRequires:  bison
BuildRequires:  flex
BuildRequires:	netfilter_queue-devel
BuildRequires:	dnet-devel
BuildRequires:	iptables-ipq-devel
BuildRequires:	iptables-devel
BuildRoot:  	%{_tmppath}/%{name}-%{version}


%description
Snort 2.9 introduces the DAQ, or Data Acquisition library, for packet I/O.  The
DAQ replaces direct calls to PCAP functions with an abstraction layer that
facilitates operation on a variety of hardware and software interfaces without
requiring changes to Snort.  It is possible to select the DAQ type and mode
when invoking Snort to perform PCAP readback or inline operation, etc.  The
DAQ library may be useful for other packet processing applications and the
modular nature allows you to build new modules for other platforms.

%package -n     %{libname}
Summary:        Main library for daq
Group:          System/Libraries
Obsoletes:	%{_lib}daq0 < %version
Obsoletes:	%{name} < %version
Provides:       %{name} = %{version}-%{release}

%description -n %{libname}
Snort 2.9 introduces the DAQ, or Data Acquisition library, for packet I/O.  The
DAQ replaces direct calls to PCAP functions with an abstraction layer that
facilitates operation on a variety of hardware and software interfaces without
requiring changes to Snort.  It is possible to select the DAQ type and mode
when invoking Snort to perform PCAP readback or inline operation, etc.  The
DAQ library may be useful for other packet processing applications and the
modular nature allows you to build new modules for other platforms.


%package        -n     %{develname}
Summary:        Header files for the dssl library
Group:          Development/Libraries
Requires:       %{libname} = %{version}
Provides:       %{name}-devel = %{version}-%{release}
Requires:  	openssl-devel
Requires:  	libpcap-devel
Requires:  	zlib-devel

%description    -n %{develname}
Snort 2.9 introduces the DAQ, or Data Acquisition library, for packet I/O.  The
DAQ replaces direct calls to PCAP functions with an abstraction layer that
facilitates operation on a variety of hardware and software interfaces without
requiring changes to Snort.  It is possible to select the DAQ type and mode
when invoking Snort to perform PCAP readback or inline operation, etc.  The
DAQ library may be useful for other packet processing applications and the
modular nature allows you to build new modules for other platforms.

These are .h files.

%package -n     %{libname}-modules
Summary:        Bundled DAQ modules
Group:          System/Libraries
Requires:	%{libname}
Obsoletes:	%{name}-modules < %{version}
Provides:       %{name}-modules = %{version}-%{release}

%description	 -n %{libname}-modules
Contains the DAQ modules that come bundled with the base LibDAQ distribution.


%post -n %{libname}
/sbin/ldconfig

%postun -n %{libname}
/sbin/ldconfig

%prep
%setup -q 

%configure2_5x --disable-ipfw-module

%build
%make
%install
%{__rm} -rf %{buildroot} 
%makeinstall_std

# Remove the .la files
find %{buildroot} -name '*.la' -delete



%clean
%{__rm} -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root)
%doc README
%{_libdir}/libdaq.so.%{major}*
%{_libdir}/libsfbpf.so.0*

%files -n %{libname}-modules
%defattr(-,root,root)
%{_libdir}/daq/daq_afpacket.so
%{_libdir}/daq/daq_dump.so
#%{_libdir}/daq/daq_ipq.so
%{_libdir}/daq/daq_nfq.so
%{_libdir}/daq/daq_pcap.so

%files  -n %{develname}
%defattr(-,root,root)
%{_bindir}/daq-modules-config
%{_includedir}/daq.h
%{_includedir}/daq_api.h
%{_includedir}/daq_common.h
%{_includedir}/sfbpf.h
%{_includedir}/sfbpf_dlt.h
%{_libdir}/libdaq_static.a
%{_libdir}/libdaq_static_modules.a
%{_libdir}/libsfbpf.a
%{_libdir}/libsfbpf.so

%{_libdir}/libdaq.so
%{_libdir}/libdaq.a


%changelog
* Sun Nov 20 2016 adrianomorselli <adrianomorselli> 2.0.6-1uplos2016
- rebuild

* Thu Jun 23 2016 bb <bb> 2.0.6-1pclos2016
- update

* Fri Apr 25 2013 Texstar <texstar at gmail.com> 2.0.0-1pclos2013
- 2.0.0

* Sun Oct 23 2011 Texstar <texstar at gmail.com> 0.6.2-1pclos2011
- 0.6.2
